aboutsummaryrefslogtreecommitdiffstats
path: root/terminaldweller.com/cgit/bootstrap/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'terminaldweller.com/cgit/bootstrap/bootstrap.sh')
-rwxr-xr-xterminaldweller.com/cgit/bootstrap/bootstrap.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/terminaldweller.com/cgit/bootstrap/bootstrap.sh b/terminaldweller.com/cgit/bootstrap/bootstrap.sh
index a943ffb..d504064 100755
--- a/terminaldweller.com/cgit/bootstrap/bootstrap.sh
+++ b/terminaldweller.com/cgit/bootstrap/bootstrap.sh
@@ -1,5 +1,6 @@
#!/bin/sh
set -e
+set -x
GIT_REPO_DIR=/etc/gitrepos
ORIGIN_HTTPS=https://github.com/terminaldweller
@@ -28,7 +29,6 @@ REPOS="cgrep \
seer \
devi-githooks \
kaminokumo \
- wikis \
grpc \
faultreiber \
luatablegen \
@@ -42,12 +42,12 @@ bootstrap() {
update_repos() {
for REPO in ${REPOS}; do
- (cd "${GIT_REPO_DIR}/${REPO}" && git fetch)
+ (cd "${GIT_REPO_DIR}/${REPO}".git && git fetch || true)
done
}
on_startup() {
- dir_list=$(ls -A == "$1")
+ dir_list=$(ls -A "$1")
if [ -z "$dir_list" ]; then
bootstrap
else